%define upstream_name    HTML-T5
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Message object for the Tidy functionality
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
# Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::Base::Wrapper) >= 2.20.0
BuildRequires: perl(Alien::TidyHTML5)
BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
BuildRequires: tidy-devel
%description
'HTML::T5' is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking
to migrate, see the section the /Converting from HTML::Lint manpage.

'HTML::T5' was forked from the HTML::Tidy5 manpage by Andy Lester
(PETDANCE), thanks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_bindir}/web-t5
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Sat Oct 17 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1636481
- update to 0.010

* Thu Jun 18 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1595651
- Rebuild for perl 5.32

* Thu Feb 20 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1547339
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 shlomif <shlomif> 0.9.0-1.mga8
+ Revision: 1487912
- update to 0.009

* Wed Jan 29 2020 shlomif <shlomif> 0.7.0-1.mga8
+ Revision: 1485218
- update to 0.007

* Fri Aug 30 2019 shlomif <shlomif> 0.6.0-1.mga8
+ Revision: 1435559
- New version 0.006 with build fix
+ tmb <tmb>
- rebuild for perl 5.30
+ tv <tv>
- rebuild with perl-5.30

* Wed Oct 17 2018 shlomif <shlomif> 0.5.0-1.mga7
+ Revision: 1321460
- update to 0.005
- fix output of make test

* Thu Sep 20 2018 shlomif <shlomif> 0.3.0-1.mga7
+ Revision: 1287845
- update to 0.003

* Thu Sep 20 2018 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1287028
- add BRs
- update to 0.002

* Thu Sep 20 2018 shlomif <shlomif> 0.1.0-1.mga7
+ Revision: 1277831
- cpan2dist

